# Weex JS Runtime

The runtime module of Weex.

 > The source code can be found in [Weex](https://github.com/alibaba/weex/).

## Exports

+ `setNativeConsole`: [function] set up custom console for native environment
+ `resetNativeConsole`: [function] reset console to default
+ `setNativeTimer`: [function] set up timer API polyfill (for Android V8)
+ `resetNativeTimer`: [function] reset timer API to default
+ `init`: [function] init each frameworks in config
+ `config`: [object]
  + `Comment`: [function] virtual dom Comment constructor
  + `Document`: [function] virtual dom Document constructor
  + `Element`: [function] virtual dom Element constructor
  + `Listener`: [function] virtual dom operation Listener constructor
  + `sendTasks`: [function] send tasks to native

## Common usage

```js
const runtime = require('weex-js-runtime')

runtime.init(runtime.config)
```
